Bug 1074113 - Can not change console font via /etc/vconsole.conf
Summary: Can not change console font via /etc/vconsole.conf
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vratislav Podzimek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-08 01:06 UTC by Marcos Mello
Modified: 2015-06-30 01:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:19:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Marcos Mello 2014-03-08 01:06:02 UTC
See
https://bugzilla.redhat.com/show_bug.cgi?id=1033250

It is the same issue, but with vconsole.conf "FONT" parameter.

You can change it, run dracut -f, reboot and latarcyrheb-sun16 will still be in use. If I remember correctly, vconsole.font was added to the boot options before dracut started including /etc/vconsole.conf in the initramfs. 

Because bug 892340, font is applied only after restart systemd-vconsole-setup.service. However, if vconsole.font= is present, it does not work even after that, since vconsole.conf setting is overridden by the boot option.

Can vconsole.font= be removed from the boot options?

Comment 1 Marko Myllynen 2014-03-10 16:40:34 UTC
(In reply to Marcos Mello from comment #0)
> 
> Can vconsole.font= be removed from the boot options?

See /etc/default/grub and /boot/grub2/grub.conf.

But it does not help for me so I filed:

https://bugzilla.redhat.com/show_bug.cgi?id=1074624

Comment 2 Marcos Mello 2014-03-10 20:40:37 UTC
Aready did and it solves part of the problem (not 100% thanks to bug 892340, but that is another matter). I bet you are being hit by 892340 too.

I am asking here if Anaconda can stop writing vconsole.font= to the bootloader options.

Comment 3 Marko Myllynen 2014-03-12 08:58:29 UTC
(In reply to Marcos Mello from comment #2)
> I am asking here if Anaconda can stop writing vconsole.font= to the
> bootloader options.

Yes, sorry I missed the component here (not systemd but anaconda).

FWIW, I agree with the proposal, font being specified in two different places looks like duplication.

Comment 4 Marcos Mello 2014-12-18 13:18:53 UTC
This is fixed in F21.

Comment 5 Fedora End Of Life 2015-05-29 11:11:30 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-30 01:19:17 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.